#include "shoot_task.h"
#include "TopDefine.h"
#include "FreeRTOS.h"
#include "attrTask.h"
#include <cmsis_os2.h>
#include "remote_control.h"
#include "shoot.h"
#include "read_spi.h"
#include "dji_task.h"
#include "djiMotor.h"

extern RC_mess_t RC_mess;
extern Encoder_t encoder;
extern motor_measure_t *trigger_motor_data;//3508电机数据
extern int mode;

int speed_6384=10000;

void Task_Shoot(void *argument)
{
    (void)argument; /* 未使用argument，消除警告 */
   const uint32_t delay_tick = osKernelGetTickFreq() / TASK_FREQ_CAN;
   


 uint32_t tick = osKernelGetTickCount(); /* 控制任务运行频率的计算 */

    while(1)
    {
   
     CAN_VESC_RPM(77, speed_6384);

      
     tick += delay_tick; /* 计算下一个唤醒时刻 */
     osDelayUntil(tick); /* 运行结束，等待下一个周期唤醒 */
    }

}
